require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  70,
  BorderColor
};

VersionFont = {
  standardFont,
  16,
  BorderColor
};


MakeDialog
{
	Bitmap
	{
		name="creditsbackground",
		image="backgrounds/fullscreendialog",
		
				
		
		Text
		{
			font = TitleFont,
			name = "title",
			x=kCenter,y=20,w=kMax ,h=75,
			flags = kHAlignCenter + kVAlignTop,
			label = "credits"
		};
		
		Text
		{
			font = VersionFont,
			name = "version",
			x=50,y=550,w=100 ,h=50,
			flags = kHAlignLeft + kVAlignTop,
			label = "version"
		};
		

		CreditsWindow
		{
			x = 0,
			y = 100,
			width = 800,
			height = 400,
			font = standardFont,
			fontsize = 16,
			fontcolor = BorderColor,
			headercolor = MenuRedColor,
			file = "assets/credits/credits.txt"
		},
		
		SetStyle(StandardButtonStyle);
		Button
		{
			x=kCenter,
			y=500,
			name="back",
			flags = kHAlignCenter + kVAlignCenter,
			label="back",
			command = 
				function()
					SetTopModalOnly(false);
					PopModal();
				end
		};
		SetStyle(DefaultStyle);
	},
};

SetVersion();
SetTopModalOnly(true);